Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_String.h File Reference

`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`
`#include "ace/iosfwd.h"`

Include dependency graph for CORBA_String.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
## Functions
TAO_Export ostream & | operator<< (ostream &, const CORBA::String_var &)
TAO_Export istream & | operator>> (istream &, CORBA::String_var &)
TAO_Export ostream & | operator<< (ostream &, CORBA::String_out &)
TAO_Export istream & | operator>> (istream &, CORBA::String_out &)
TAO_Export ostream & | operator<< (ostream &, const CORBA::WString_var &)
TAO_Export istream & | operator>> (istream &, CORBA::WString_var &)
TAO_Export ostream & | operator<< (ostream &, CORBA::WString_out &)
TAO_Export istream & | operator>> (istream &, CORBA::WString_out &)

## Detailed Description

Id:
  CORBA_String.h,v 1.11 2003/10/28 18:29:13 bala Exp

Header file for the CORBA string types.

Author:
  DOC Group at Wash U, UCI, and Vanderbilt U.

## Function Documentation

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | CORBA::WString_out & |
| ) |

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | const CORBA::WString_var & |
| ) |

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | CORBA::String_out & |
| ) |

TAO_Export ostream& operator<< | ( | ostream & | ,
|  | const CORBA::String_var & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::WString_out & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::WString_var & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::String_out & |
| ) |

TAO_Export istream& operator>> | ( | istream & | ,
|  | CORBA::String_var & |
| ) |